{*********************************************************}
{*                    EXUPDU.PAS 2.11                    *}
{*       Copyright (c) Tamarack Associates 1996 - 2002.	 *}
{*                  All rights reserved.                 *}
{*       Modified with permission by Liodden Data AS     *}
{*********************************************************}
{* Instructions: Run the app, press Make to process the  *}
{* first 500 records, then press Append to process the   *}
{* remaining records.                                    *}
{*********************************************************}

{$B-}	 {* Boolean evaluation *}
{$X+}	 {* eXtended syntax    *}

unit ExAppndU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DB, DBCtrls, Grids, DBGrids, Tabs,
  ExtCtrls, rbPrgDlg, rbBase, rbCache, rbMake, rbDS,
  rbAccept, rbUpdate, rbAppend, rbSQL, rbNDB, NdbBasDS, NdbAsaDS, NdbBase,
  NdbAsa;

type
  TForm1 = class(TForm)
    rbMake1: TrbMake;
    rbCache1: TrbCache;
    rbProgressDialog1: TrbProgressDialog;
    rbAccept1: TrbAccept;
    rbAppend1: TrbAppend;
    Button1: TButton;
    Button2: TButton;
    AsaSession1: TAsaSession;
    AsaDataset1: TAsaDataset;
    AsaDataset2: TAsaDataset;
    rbMakeTextNDBLink1: TrbMakeTextNDBLink;
    rbMakeWordsNDBLink1: TrbMakeWordsNDBLink;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    function CustomAcceptWord(Sender: TObject; const Word: String): Boolean;
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AsaSession1.Connected := True;
 Application.Icon := Icon;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 rbProgressDialog1.Engine := rbMake1;
 rbMake1.Execute
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 rbProgressDialog1.Engine := rbAppend1;
 rbAppend1.Execute
end;

function TForm1.CustomAcceptWord(Sender: TObject; const Word: String) : Boolean;
begin
 rbAccept1.Word := Word;
 Result := rbAccept1.Accept
end;

end.
