{*********************************************************}
{*                    EXMAKEU.PAS 2.11                   *}
{*       Copyright (c) Tamarack Associates 1996 - 2002.	 *}
{*                  All rights reserved.                 *}
{*       Modified with permission by Liodden Data AS     *}
{*********************************************************}

{$B-}	 {* Boolean evaluation *}
{$X+}	 {* eXtended syntax    *}

unit ExMakeU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DB, ExtCtrls, rbPrgDlg,
  rbBase, rbBits, rbCache, rbMake, rbDS, rbAccept, rbSQL, rbNDB,
  NdbBase, NdbAsa, NdbBasDS, NdbAsaDS;

type
  TForm1 = class(TForm)
    rbMake1: TrbMake;
    rbCache1: TrbCache;
    rbProgressDialog1: TrbProgressDialog;
    rbAccept1: TrbAccept;
    Button1: TButton;
    CheckBox1: TCheckBox;
    rbMakeTextNDBLink1: TrbMakeTextNDBLink;
    AsaDataset1: TAsaDataset;
    AsaDataset2: TAsaDataset;
    AsaSession1: TAsaSession;
    rbMakeWordsNDBLink1: TrbMakeWordsNDBLink;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    function rbMake1AcceptWord(Sender: TObject;
      const Word: String): Boolean;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AsaSession1.Connected := True;
 Application.Icon := Icon;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 if CheckBox1.Checked then
  rbMake1.SegmentSize := 352
 else
  rbMake1.SegmentSize := 0;
 rbMake1.Execute
end;

function TForm1.rbMake1AcceptWord(Sender: TObject;
  const Word: String): Boolean;
begin
 rbAccept1.Word := Word;
 Result := rbAccept1.Accept
end;

end.
