{*********************************************************}
{*                    EXSRCHU.PAS 2.11                   *}
{*       Copyright (c) Tamarack Associates 1996 - 2002.	 *}
{*                  All rights reserved.                 *}
{*       Modified with permission by Liodden Data AS     *}
{*********************************************************}

{$B-}	 {* Boolean evaluation *}
{$X+}	 {* eXtended syntax    *}

unit ExSrchU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, DBCtrls, Grids, DBGrids, Tabs,
  ExtCtrls, rbBase, rbBits, rbCache, rbSearch, rbLogic, rbRank, rbDS,
  rbMatch, rbSQL, rbCDS, rbNDB, NdbBasDS, NdbAsaDS, NdbBase,
  NdbAsa, DBClient;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DataSource1: TDataSource;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Button1: TButton;
    rbSearch1: TrbSearch;
    rbCache1: TrbCache;
    rbMatchMaker1: TrbMatchMaker;
    ClientDataSet1: TClientDataSet;
    AsaSession1: TAsaSession;
    rbTextNDBLink1: TrbTextNDBLink;
    AsaDataset1: TAsaDataset;
    AsaDataset2: TAsaDataset;
    rbWordsNDBLink1: TrbWordsNDBLink;
    procedure DBGrid1DblClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ExRichEd;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AsaSession1.Connected := True;
 Application.Icon := Icon;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 with rbSearch1 do
  begin
   SearchFor := Edit1.Text;
   Execute;
   Label1.Caption := Format('%d matches (%1.3f sec)',[MatchCount,SearchTime/1000]);
   if MatchCount > 0 then
     rbMatchMaker1.Execute;
  end
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
 DBGrid1.SelectedField.ReadOnly := DBGrid1.ReadOnly;
 Form2.ShowMemo(DBGrid1.DataSource,DBGrid1.SelectedField,rbSearch1)
end;

end.
