{*********************************************************}
{*                    EXNAVU.PAS 2.11                    *}
{*       Copyright (c) Tamarack Associates 1996 - 2002.	 *}
{*                  All rights reserved.                 *}
{*       Modified with permission by Liodden Data AS     *}
{*********************************************************}

{$B-}	 {* Boolean evaluation *}
{$X+}	 {* eXtended syntax    *}

unit ExNavU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DB, DBCtrls, Grids, DBGrids, Tabs,
  ExtCtrls, rbBase, rbBits, rbCache, rbSearch, rbLogic, rbRank, rbDS,
  rbTable, rbSQL, rbNDB, NdbBasDS, NdbAsaDS, NdbBase, NdbAsa;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    Panel1: TPanel;
    TabSet1: TTabSet;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Label1: TLabel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Button1: TButton;
    rbSearch1: TrbSearch;
    rbCache1: TrbCache;
    AsaSession1: TAsaSession;
    AsaDataset1: TAsaDataset;
    AsaDataset2: TAsaDataset;
    rbTextNDBLink1: TrbTextNDBLink;
    rbWordsNDBLink1: TrbWordsNDBLink;
    procedure TabSet1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure DBGrid1DblClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ExDBMemo;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AsaSession1.Open;
 Application.Icon := Icon;
end;

procedure TForm1.TabSet1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
 AllowChange := True;
 case NewTab of
  0 : DBGrid1.DataSource := DataSource1;
  1 : DBGrid1.DataSource := DataSource2;
 end;
 DBNavigator1.DataSource := DBGrid1.DataSource
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
 DBGrid1.SelectedField.ReadOnly := DBGrid1.ReadOnly;
 Form2.ShowMemo(DBGrid1.DataSource,DBGrid1.SelectedField)
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 with rbSearch1 do
  begin
   SearchFor := Edit1.Text;
   Execute;
   Label1.Caption := Format('%d matching records',[MatchCount]);
   Button2.Enabled := MatchCount > 0;
   Button3.Enabled := Button2.Enabled;
   Button4.Enabled := Button2.Enabled;
   Button5.Enabled := Button2.Enabled;
   if Button2.Enabled then
    FindFirst
  end
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 rbSearch1.FindFirst
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 rbSearch1.FindNext
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 rbSearch1.FindPrior
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 rbSearch1.FindLast
end;

end.
